Bug 52045 - [sblive] Kernel crash after playing sounds
[sblive] Kernel crash after playing sounds
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-19 13:32 EDT by Stephen John Smoogen
Modified: 2007-04-18 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-30 14:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
More detailed (lspci, lsmod, modules.conf) information about my system (2.57 KB, text/plain)
2001-11-05 21:43 EST, Christian Rose
no flags Details
lspci,lsmod,modules.conf information (2.40 KB, text/plain)
2001-12-14 13:39 EST, Christian Rose
no flags Details

  None (edit)
Description Stephen John Smoogen 2001-08-19 13:32:37 EDT
This could be a an XFRee86 problem.. but since it occured during a short
sound burst.. I am guessing emu10k changes.

Complete lockup after 12 hours of being up. Was using galeon to look at 
websites and clicked to close it. There was a quirk sound from the 
speakers and the box locked tighter than a rusted bolt.

Machine is 
Dell Optiplex GX 100
466 Celeron
128 Mb Ram
Soundblaster Live
Adaptec 2940

No logs of what caused the problem

Will open a bugzilla report when I get Mozilla working :). Turns out
that the RC1 upgrade didnt upgrade all of mozilla so libraries are
mismatched (only main rpm upgraded.. chat/psm/mail were not)

The upgrade log file was less than useful because it listed all the RPMS 
on the cdrom that were not installed not what ones on the machine that 
werent upgraded.

Will look for other ways to duplicate
Comment 1 Arjan van de Ven 2001-08-19 15:55:31 EDT
What graphics card ?
(first suspect would be the new 3D code in the kernel)
Comment 2 Stephen John Smoogen 2001-08-19 20:03:08 EDT
Voodoo 3 3000

01:0a.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)
(prog-if 00 [VGA])
        Subsystem: 3Dfx Interactive, Inc.: Unknown device 0057
        Flags: fast devsel, IRQ 11
        Memory at fa000000 (32-bit, non-prefetchable) [size=32M]
        Memory at f6000000 (32-bit, prefetchable) [size=32M]
        I/O ports at e400 [size=256]
        Expansion ROM at 80000000 [disabled] [size=64K]
        Capabilities: [60] Power Management version 1

00:01.0 VGA compatible controller: Intel Corporation 82810-DC100 CGC [Chipset
Graphics Controller] (rev 03) (prog-if 00 [VGA])
        Subsystem: Dell Computer Corporation: Unknown device 8094
        Flags: bus master, 66Mhz, medium devsel, latency 0, IRQ 9
        Memory at f0000000 (32-bit, prefetchable) [disabled] [size=64M]
        Memory at ff000000 (32-bit, non-prefetchable) [disabled] [size=512K]
        Capabilities: [dc] Power Management version 1


With the voodoo being there.. that would be a good guess.
Comment 3 Glen Foster 2001-08-20 15:25:29 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 4 Stephen John Smoogen 2001-08-20 15:58:00 EDT
If you need me to upgrade kernels or X in order to sort this out.. I will do so.
I have had 4 crashes in the last 12 hours. All have been in similar situation.
Comment 5 Arjan van de Ven 2001-08-20 16:00:31 EDT
I built a 2.4.7-2.5 kernel today that should appear in rawhide soon; it has
a bunch of DRM fixes (and some others too). If that doesn't work we need some
debugging help... like booting with "nmi_watchdog=1" which makes the kernel oops
if a deadlock is detected, so we can see WHERE it deadlocks.
Comment 6 Stephen John Smoogen 2001-08-21 22:48:34 EDT
Got the kernel from rawhide. 
Problem still occurs after a certain amount of sound events (I had sound events
turned on in gnome and after 20 minutes or so of xchat.. hard lock.)

I can try the NMI issue, but will need help with giving options to grub.. my use
of the shell so far has been less than optimal (thankgod for journaling)

root:{smooge}# lspci 
00:00.0 Host bridge: Intel Corporation 82810-DC100 GMCH [Graphics Memory
Controller Hub] (rev 03)
00:01.0 VGA compatible controller: Intel Corporation 82810-DC100 CGC [Chipset
Graphics Controller] (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801AA PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corporation 82801AA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801AA IDE (rev 02)
00:1f.2 USB Controller: Intel Corporation 82801AA USB (rev 02)
00:1f.3 SMBus: Intel Corporation 82801AA SMBus (rev 02)
01:07.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 07)
01:07.1 Input device controller: Creative Labs SB Live! (rev 07)
01:09.0 SCSI storage controller: Adaptec AIC-7881U (rev 01)
01:0a.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)
01:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX [Fast Etherlink] (rev 78)

root:{smooge}# lsmod
Module                  Size  Used by
sr_mod                 15552   0  (autoclean)
ide-cd                 27168   0  (autoclean)
cdrom                  28480   0  (autoclean) [sr_mod ide-cd]
emu10k1                50896   0  (autoclean)
soundcore               4528   4  (autoclean) [emu10k1]
tdfx                   33920   1 
agpgart                28032   0  (unused)
binfmt_misc             6432   1 
autofs                 11520   1  (autoclean)
3c59x                  26528   1 
ipchains               39072   0 
hid                    19024   0  (unused)
input                   3808   0  [hid]
usb-uhci               21568   0  (unused)
usbcore                51328   1  [hid usb-uhci]
ext3                   53568   4 
jbd                    40352   4  [ext3]
aic7xxx               135344   0 
sd_mod                 11712   0  (unused)
scsi_mod               96192   3  [sr_mod aic7xxx sd_mod]

Here are the last couple of lines from dmesg.. in case they are helpful

ip_conntrack (1013 buckets, 8104 max)
PCI: Found IRQ 5 for device 01:0c.0
PCI: Sharing IRQ 5 with 01:09.0
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
01:0c.0: 3Com PCI 3c905C Tornado at 0xec00. Vers LK1.1.16
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 93M
agpgart: Detected an Intel i810 DC100 Chipset.
agpgart: detected 4MB dedicated video ram.
agpgart: AGP aperture is 64M @ 0xf0000000
[drm] Initialized tdfx 1.0.0 20010216 on minor 0
Creative EMU10K1 PCI Audio Driver, version 0.7, 09:34:51 Aug 20 2001
PCI: Found IRQ 9 for device 01:07.0
PCI: Sharing IRQ 9 with 00:01.0
emu10k1: EMU10K1 rev 7 model 0x8022 found, IO at 0xece0-0xecff, IRQ 9
ide-floppy driver 0.97
hdc: ATAPI 40X CD-ROM drive, 128kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 6, lun 0
(scsi0:0:6:0) Synchronous at 8.0 Mbyte/sec, offset 15.
sr0: scsi3-mmc drive: 16x/16x writer cd/rw xa/form2 cdda tray
Device not ready.  Make sure there is a disc in the drive.
Device not ready.  Make sure there is a disc in the drive.
cdrom: This disc doesn't have any tracks I recognize!

[The last couple I think are due to nautilus]

Thanks Arjan..
let me know what else I can do to track this down before gold (12 reboots in the
last 24 hours is not something I would like to keep doing :).)
Comment 7 Stephen John Smoogen 2001-08-22 11:42:36 EDT
Arjan. Here are the /etc/modules.conf.. any options I should give the emu10k?

smooge:{smooge}$ cat /etc/modules.conf 
alias scsi_hostadapter aic7xxx
alias eth0 3c59x
alias usb-controller usb-uhci
alias sound-slot-0 emu10k1
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
alias parport_lowlevel parport_pc
Comment 8 Arjan van de Ven 2001-08-22 11:48:25 EDT
The strange thing is... the sblive driver we ships is (just about) identical
to the one in the 2.4.3-12 kernel....... did that work stable for you ?
Comment 9 Stephen John Smoogen 2001-08-22 14:23:08 EDT
Yes. the 2.4.3-12 one works like a charm on this machine.. my uptimes have been
on the order of a month even with heavy use of sound via MP3/xchat/Civilization/
and Alpha Centauri. No crashes

Could it be something that esd is doing via shm?
Comment 10 Christian Rose 2001-11-05 21:36:31 EST
I'm having similar crashes with Enigma and kernel 2.4.9-13. I've replaced most
of the hardware (motherboard, graphics adapter, scsi card) in search for the
culprit, but it seems it is a software issue. The only stuff that is still the
same is the actual CPU, the system memory (which proved non-faulty in memtest),
the network adapter, and the sound card.

PIII 533
384 MB
Matrox Millennium G450 32 MB DH
Tekram 390U3W
Intel EtherExpress PRO 10/100
Soundblaster Live
Comment 11 Christian Rose 2001-11-05 21:43:34 EST
Created attachment 36541 [details]
More detailed (lspci, lsmod, modules.conf) information about my system
Comment 12 Christian Rose 2001-11-10 19:51:07 EST
Okay, I've removed the SoundBlaster Live from my system, and now only use the
integrated AIC '97 sound on the motherboard. No system freezes for several days
after that, something that was impossible before. So it's definately a problem
related to the SoundBlaster Live.
Comment 13 Christian Rose 2001-12-14 13:38:18 EST
A third system with a Sound Blaster Live card that makes kernel-2.4.9-13 freeze
after some hours.
Comment 14 Christian Rose 2001-12-14 13:39:30 EST
Created attachment 40667 [details]
lspci,lsmod,modules.conf information
Comment 15 Christian Rose 2001-12-20 17:53:21 EST
I believe bug 57564 may be the same problem.
Comment 16 Arjan van de Ven 2002-02-11 11:17:22 EST
Can you guys please try the emu10k1_new driver in the 2.4.9-21 kernel ?
(just edit /etc/modules.conf to say emu10k1_new instead of emu10k1)
Comment 17 Christian Rose 2002-02-11 16:49:41 EST
The emu10k1_new driver completely fixed the stability problems.
Comment 18 Stephen John Smoogen 2002-12-30 14:36:21 EST
Bug was fixed in 2.4.18 kernel errata released.

Note You need to log in before you can comment on or make changes to this bug.